.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  padding: 64px 15px 15px;
  z-index: 1000;
  overflow-y: auto;
}
@media (min-width: 1024px) {
  .modal {
    padding: 0;
    overflow: auto;
  }
}
.modal .modal-content {
  background: white;
  position: fixed;
  width: calc(100% - 30px);
  max-height: calc(100% - 80px);
  padding: 15px;
  left: 50%;
  top: 65px;
  transform: translateX(-50%);
  overflow-y: auto;
}
@media (min-width: 1024px) {
  .modal .modal-content {
    position: absolute;
    width: 720px;
    height: 450px;
    padding: 40px;
    top: 50%;
    transform: translate(-50%, -50%);
    overflow: auto;
  }
}
@media (max-width: 320px) {
  .modal .modal-content {
    max-height: calc(100% - 100px);
  }
}
.modal .modal-content .close-btn {
  display: block;
  position: sticky;
  top: 0;
  right: 0;
  margin-left: auto;
  transform: translate(25%, -25%);
}
@media (min-width: 1024px) {
  .modal .modal-content .close-btn {
    transform: translate(50%, -50%);
  }
}
.modal .modal-content .txt-c-main {
  font-size: 16px;
  margin-bottom: 8px;
  margin-top: -34px;
}
@media (min-width: 1024px) {
  .modal .modal-content .txt-c-main {
    font-size: 18px;
  }
}
.modal .modal-content .txt-caution {
  margin-bottom: 8px;
}
.modal .modal-content .select-def {
  margin: 5px 0 20px;
  width: 100%;
  max-width: 315px;
  font-size: 13px;
}
@media (min-width: 1024px) {
  .modal .modal-content .select-def {
    margin: 10px 0 10px;
    width: 235px;
  }
}
.modal .modal-content .select-def:before {
  background: var(--main-color);
  width: 28px;
  height: calc(100% - 1px);
  right: 0;
  border-radius: 0 4px 4px 0;
  top: 50%;
}
.modal .modal-content .select-def:after {
  border-color: var(--white);
}
.modal .modal-content .select-def .form-def {
  width: 100%;
  line-height: 1.5;
  border-color: rgb(from var(--main-color) r g b/0.28);
}
.modal .modal-content .tab {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1px;
}
@media (min-width: 1024px) {
  .modal .modal-content .tab {
    grid-template-columns: repeat(9, 1fr);
  }
}
.modal .modal-content .tab li {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 12px 0;
  background: rgb(from var(--black) r g b/0.02);
  border-bottom: 2px solid rgb(from var(--black) r g b/0.07);
  color: var(--primary-color);
  font-weight: 700;
  cursor: pointer;
}
.modal .modal-content .tab li.is-active {
  filter: drop-shadow(0px 0px 5px rgba(0, 0, 0, 0.16));
  background: var(--white);
  position: relative;
  color: var(--txt);
}
.modal .modal-content .tab li.is-active:after {
  content: "";
  position: absolute;
  border-bottom: 5px solid var(--main-color);
  width: 100%;
  bottom: -2px;
  pointer-events: none;
}
.modal .modal-content .tab li:empty {
  background: none;
  border: none;
  cursor: unset;
}
@media (min-width: 1024px) {
  .modal .modal-content .tab li:empty {
    border-bottom: 2px solid rgb(from var(--black) r g b/0.07);
  }
}
.modal .modal-content .check-outer {
  display: flex;
  flex-wrap: wrap;
  margin: 1em 0;
}
.modal .modal-content .check-outer .flex-item {
  display: flex;
  align-items: center;
  width: 100%;
}
.modal .modal-content .check-outer .flex-item label {
  font-size: 16px;
}
.modal .modal-content .check-outer .flex-item .btn {
  margin-top: -2px;
}
.modal .modal-content .check-outer._2lows .flex-item {
  width: 50%;
}
.modal .modal-content .check-outer._2lows .long {
  width: 100%;
  margin-bottom: 5px;
}
.modal .modal-content .selected .txt-c-black-pale-62 {
  font-size: 14px;
}
.modal .modal-content .selected .area-list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}
@media (min-width: 1024px) {
  .modal .modal-content .selected .area-list {
    grid-template-columns: repeat(4, 1fr);
  }
}
.modal .modal-content .selected .area-list li {
  font-size: 16px;
}
.modal .modal-content .btn-wrap {
  padding: 15px;
  background: color-mix(in srgb, var(--black) 80%, var(--white));
  width: calc(100% + 30px);
  margin: -15px;
  margin-top: 15px;
}
@media (min-width: 1024px) {
  .modal .modal-content .btn-wrap {
    margin: -40px;
    margin-top: 40px;
    width: calc(100% + 80px);
  }
}
.modal .modal-content .btn-wrap .btn-def {
  width: 100%;
}
.modal .modal-content-small {
  background: white;
  padding: 15px;
  position: relative;
  border-radius: 6px;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: calc(100% - 30px);
  overflow-y: auto;
}
@media (min-width: 1024px) {
  .modal .modal-content-small {
    width: 720px;
    padding: 40px;
    top: 50%;
    overflow: auto;
  }
}
.modal .modal-content-small .ttl {
  font-size: 16px;
}
@media (min-width: 1024px) {
  .modal .modal-content-small .ttl {
    font-size: 18px;
  }
}
.modal .modal-content-small .close-btn {
  display: block;
  position: absolute;
  top: 10px;
  right: 10px;
}
@media (min-width: 1024px) {
  .modal .modal-content-small .close-btn {
    top: 15px;
    right: 15px;
  }
}
.modal .modal-content-small .condition-name {
  margin: 30px 0;
}
@media (min-width: 1024px) {
  .modal .modal-content-small .condition-name {
    margin: 40px 0;
  }
}
.modal .modal-content-small .btn-flex {
  display: flex;
  align-items: center;
  gap: 8px;
  margin: 0 auto;
  justify-content: center;
}
@media (min-width: 1024px) {
  .modal .modal-content-small .btn-flex {
    gap: 11px;
  }
}
.modal .modal-content-small .btn-flex .btn-def {
  font-size: 12px;
  margin: 0 !important;
  height: 40px;
  display: flex !important;
  align-items: center;
  justify-content: center;
}
@media (min-width: 1024px) {
  .modal .modal-content-small .btn-flex .btn-def {
    font-size: 16px;
    height: 54px;
  }
}
.modal .modal-content-small .btn-flex .bg-c-white {
  width: 96px;
  flex-shrink: 0;
}
@media (min-width: 1024px) {
  .modal .modal-content-small .btn-flex .bg-c-white {
    width: 130px;
  }
}
.modal .modal-content-small .btn-flex .bg-c-primary {
  width: 152px !important;
}
@media (min-width: 1024px) {
  .modal .modal-content-small .btn-flex .bg-c-primary {
    width: 286px !important;
  }
}
.modal .modal-content-small .btn-flex .bg-c-sub {
  width: 100%;
  font-size: 16px;
}
@media (min-width: 1024px) {
  .modal .modal-content-small .btn-flex .bg-c-sub {
    width: 389px;
    font-size: 22px;
  }
}
.modal .modal-content-small .btn-flex-col {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-top: 18px;
}
@media (min-width: 1024px) {
  .modal .modal-content-small .btn-flex-col {
    flex-direction: row;
    gap: 16px;
    margin-top: 20px;
  }
}
@media (min-width: 1024px) {
  .modal .modal-content-small .btn-flex-col .btn-def {
    width: 312px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
}
.modal .modal-content-small .select-pull-dwn {
  position: relative;
  top: -10px;
}
.modal .modal-content-small .select-pull-dwn,
.modal .modal-content-small .form-def {
  width: 100%;
}
@media (min-width: 1024px) {
  .modal .modal-content-small .select-pull-dwn,
  .modal .modal-content-small .form-def {
    width: 235px;
    height: 32px;
  }
}
.modal .modal-content-small .cont {
  display: flex;
  flex-direction: column;
  gap: 15px;
  align-items: start;
}
@media (min-width: 1024px) {
  .modal .modal-content-small .cont {
    gap: 20px;
  }
}
.modal .modal-content-small .btn-wrap {
  margin-top: 1em;
}
@media (min-width: 1024px) {
  .modal .modal-content-small .btn-wrap {
    margin-top: 2em;
  }
}
.modal .modal-content-small .btn-wrap .btn-def {
  display: block;
  width: 100%;
  max-width: 315px;
  margin: 0 auto;
}
.modal .modal-content-small .info {
  width: 100%;
  margin-top: 2em;
  margin-bottom: 10px;
}
@media (min-width: 1024px) {
  .modal .modal-content-small .info {
    margin-top: 1em;
    margin-bottom: 30px;
  }
}
.modal .modal-content-small .info tr {
  display: flex;
  flex-direction: column;
}
.modal .modal-content-small .info th,
.modal .modal-content-small .info td {
  padding: 10px 15px;
}
.modal .modal-content-small .info th {
  margin-top: 4px;
}